%define cvsdate 20070514

Name: nant
Version: 0.86
Release: alt2.cvs.%cvsdate

Summary: A cross platform build tool for the .Net platform
License: GPL
Group: Development/Other

# git-cvsimport -v -d:pserver:anonymous@nant.cvs.sourceforge.net:/cvsroot/nant nant
Url: http://nant.sourceforge.net
Packager: Vladimir V Kamarzin <vvk@altlinux.ru>
BuildArch: noarch

Source: %name-%version.tar

BuildPreReq: /proc
BuildRequires: mono-mcs rpm-build-mono

%description
NAnt is a .NET based build tool. In theory it is kind of like make without
make's wrinkles. In practice it's a lot like Ant.

If you are not familiar with Jakarta Ant you can get more information at the
Ant project web site (http://ant.apache.org/).

If you are not familiar with NAnt you can get more information at the NAnt
project web site (http://NAnt.sourceforge.net).

%package doc
Summary: documentation and examples for nant
Group: Documentation

%description doc
%summary

%prep
%setup -q

%build
%make

%install
%make install prefix=%buildroot/usr

# .NET libs
rm -rf %buildroot%_datadir/NAnt/bin/lib/net

# Put mono libs in the gac
find %buildroot%_datadir/NAnt/bin/lib/mono -name "*\.dll" -exec gacutil -root %buildroot/usr/lib -i {} \;

# These are in the gac now, remove them
rm -rf %buildroot%_datadir/NAnt/bin/lib/mono

# Rearrange things according to app guidelines
mkdir -p %buildroot/usr/lib
mv %buildroot%_datadir/NAnt/bin %buildroot/usr/lib/NAnt
mv %buildroot/usr/lib/NAnt/lib/common/neutral/*.dll %buildroot/usr/lib/NAnt
rm -rf %buildroot/usr/lib/NAnt/lib

# Cleanup cruft
rm -rf %buildroot%_datadir

# Fix script
cat <<EOF > %buildroot%_bindir/nant
#!/bin/sh
mono /usr/lib/NAnt/NAnt.exe "\$@"
EOF
chmod 755 %buildroot%_bindir/nant

%files
%_bindir/*
%_monogacdir/*
/usr/lib/NAnt

%files doc
%doc doc web examples 

%changelog
* Fri May 18 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt2.cvs.20070514
- Do not try to detect path to mono with pkg-config in executable

* Mon May 14 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.86-alt1.cvs.20070514
- Initial build for Sisyphus
